# $Revision: 1.14 $, $Date: 2002/05/16 18:30:50 $
%define		gtk2_version		2.0.2
%define		glib2_version		2.0.1
%define		libart_lgpl_version	2.3.8

Summary:	Zvt terminal widget library
Summary(pl):	Biblioteka z widgetem terminala zvt
Name:		libzvt
Version:	1.115.2
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/gnome/pre-gnome2/sources/libzvt/%{name}-%{version}.tar.bz2
Source1:	check-utmp.m4
Patch0:		%{name}-am15.patch
URL:		ftp://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:	gtk+2-devel >= %{gtk2_version}
BuildRequires:	libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires:	libtool
PreReq:		utempter
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
The libzvt package contains a terminal widget for GTK+. It's used by
gnome-terminal among other programs.

%description -l pl
Ten pakiet zawiera widget terminala dla GTK+. Jest uywany przez
gnome-terminal oraz inne programy.

%package devel
Summary:	Headers for libzvt
Summary(pl):	Pliki nagwkowe libzvt
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel >= %{glib2_version}
Requires:	gtk+2-devel >= %{gtk2_version}
Requires:	libart_lgpl-devel >= %{libart_lgpl_version}
Conflicts:	gnome-libs-devel < 1.4.1.2

%description devel
The libzvt package contains a terminal widget for GTK+. It's used by
gnome-terminal among other programs.

You should install the libzvt-devel package if you would like to
compile applications that use the zvt terminal widget. You do not need
to install libzvt-devel if you just want to use precompiled
applications.

%description devel -l pl
Pliki nagwkowe potrzebne do kompilowania programw uywajcych
libzvt.

%package static
Summary:	Static libzvt library
Summary(pl):	Statyczna biblioteka libzvt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}
Conflicts:	gnome-libs-static < 1.4.1.2

%description static
Static version of libzvt libraries.

%description static -l pl
Statyczna wersja bibliotek libzvt.

%prep
%setup -q
%patch0 -p1

install %{SOURCE1} .

%build
rm -f missing
libtoolize --copy --force
aclocal -I .
autoconf
automake -a -c -f
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_aclocaldir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_aclocaldir}

gzip -9nf AUTHORS ChangeLog NEWS README

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(2755,root,utmp) %{_sbindir}/gnome-pty-helper-2

%files devel
%defattr(644,root,root,755)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libzvt-*
%{_aclocaldir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libzvt.spec,v $
Revision 1.14  2002/05/16 18:30:50  misiek
- missing -d

Revision 1.13  2002/05/16 18:29:57  kloczek
- typo in %install.

Revision 1.12  2002/05/16 18:17:28  kloczek
- remove using gnome-common (use only cheeck-utmp.m4 from gnome-common and
  include this in devel subpackage).

Revision 1.11  2002/05/16 14:54:32  kloczek
- rlease 1.

Revision 1.10  2002/05/16 14:38:25  wiget
- updated to 1.115.2
- remove ac_fixes.patch (obsoleted)
- updated am15.patch
- ac regeneration need gnome-common
- %%files fixes

Revision 1.9  2002/04/25 18:22:17  kloczek
- release 2: s/gtk2/gtk+2/

Revision 1.8  2002/04/25 15:18:40  wiget
remove one entry from %%files

Revision 1.7  2002/04/25 14:50:17  kloczek
- added ac_fixes and am15 patches,
- place pkgconfig file in proper path and them to devel subpackage,
- remove using %%find_lang macro (libzvt do not provide gettext resources).

Revision 1.6  2002/04/23 20:28:21  kloczek
- s/gtk2/gtk+2/

Revision 1.5  2002/04/23 20:11:05  kloczek
- updated to 1.114.0,
- regenerate ac/am/lt files.

Revision 1.4  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/01 15:29:58  qboosh
- added -static, post/postun, pl descriptions, gzip doc, fixed .so* perms

Revision 1.2  2002/02/01 05:52:20  kloczek
- spec adapterized and partialy rewrited,
- switch to bzipped2 tar ball.

Basen on spec file from RH by Owen Taylor <otaylor@redhat.com>
